#
# Please see the COPYRIGHT_and_DISCLAIMER file in the top level
# directory of the distribution regarding the provisions under
# which this software is distributed.
#

sub portdict'get
{
    local($var, $attr) = @_;
    local($thisattr, $val);
    local($vd);

    $vd = $PortDict{$var};

#    print "portdict'get: $CurrentProgram '$var' '$attr' '$vd'\n";

    for (split(/$;/, $vd))
    {
	($thisattr, $val) = split(/\001/);
	return $val if $attr eq $thisattr;
    }
    return undef;
}

sub portdict'set
{
    local($var, $attr, $val) = @_;
    local(%assoc, $thisattr, $thisval);
    local(@entry);
    local($vd);

    $vd = $PortDict{$var};
#    print "portdict'set: $CurrentProgram '$var' '$attr' '$val' '$vd'\n";
    for (split(/$;/, $PortDict{$var}))
    {
	($thisattr, $thisval) = split(/\001/);
	$assoc{$thisattr} = $thisval;
    }
    $assoc{$attr} = $val;
    while (($thisattr, $thisval) = each(%assoc))
    {
	push(@entry, $thisattr . "\001" . $thisval);
    }
    $PortDict{$var} = join($;, @entry);
    $vd = $PortDict{$var};
#    print "portdict'setNew: $CurrentProgram '$var' '$attr' '$val' '$vd'\n";
    return val;
}

    
1;
