/*
 * Please see the COPYRIGHT_and_DISCLAIMER file in the top level
 * directory of the distribution regarding the provisions under
 * which this software is distributed.
 */


/*
 * Size of padding placed at the beginning of a message buffer. This
 * is used to fill in the packet header information so that a
 * message buffer can be written with a single system call.
 *
 * Likely not necessary (for TCP anyway) if we go to using writev for
 * writing packets.
 */
#define YOKE_BUFFER_PAD_SIZE 16

#define YOKE_BOOTSTRAP_MY_CONN 1

#ifdef DEBUG
#define YOKE_BUFFER_MAGIC 0x12344321
#endif
