/*
 * Please see the COPYRIGHT_and_DISCLAIMER file in the top level
 * directory of the distribution regarding the provisions under
 * which this software is distributed.
 */

/*
 * util.h
 */

/*
 * UTIL_*_ARGS are the options that can be passed as
 * 'arg_list' to _u_get_num_args() and _u_get_arg().
 */
#define UTIL_USER_ARGS		0
#define UTIL_PACKAGE_ARGS	1

#define UTIL_N_ARG_LISTS	2


/*
 * externs for the utilities in util.c
 */
extern void	_u_split_args(char *package_designator);
extern int	_u_get_num_args(int arg_list);
extern char *	_u_get_arg(int arg_list, int arg_num);
extern char *	_u_get_package_designator();
extern char *	_u_copy_string(char *s);
extern char *	_u_executable_name();
extern void	_u_strip_tmp_mnt_from_path(char *dir);
