#
# Please see the COPYRIGHT_and_DISCLAIMER file in the top level
# directory of the distribution regarding the provisions under
# which this software is distributed.
#

package array;
    
$array_gensym = 'ArrayGensym00000';

$assoc_gensym = 'AssocGensym00000';

$vlist_gensym = 'VListGensym00000';

$scalar_gensym = 'VListScalar00000';

sub main'newArray
{
    local($name) = $array_gensym++;

    *array = $name;
    @array = ();
    
    return $name;
}

sub main'newScalar
{
    local($name) = $scalar_gensym++;

    *scalar = $name;
    undef $scalar;
    
    return $name;
}

sub main'newAssoc
{
    local($name) = $assoc_gensym++;

    *assoc = $name;
    @assoc = ();
    
    return $name;
}

sub main'newVList
{
    local($name) = $vlist_gensym++;

    &vlist'init($name);

    return $name;
}

sub isArray
{
    return $_[0] =~ /^ArrayGensym\d\d\d\d\d/;
}
    
sub isAssoc
{
    return $_[0] =~ /^AssocGensym\d\d\d\d\d/;
}
    
sub isVList
{
    return $_[0] =~ /VListGensym\d\d\d\d\d/;
}
    
1;
