
/*
 * Please see the COPYRIGHT_and_DISCLAIMER file in the top level
 * directory of the distribution regarding the provisions under
 * which this software is distributed.
 */

/* Symbols that flex defines */

#define yy_create_buffer	fm_yy_create_buffer
#define yy_delete_buffer	fm_yy_delete_buffer
#define yy_init_buffer		fm_yy_init_buffer
#define yy_load_buffer_state	fm_yy_load_buffer_state
#define yy_switch_to_buffer	fm_yy_switch_to_buffer
#define yyin			fm_yyin
#define yyleng			fm_yyleng
#define yylex			fm_yylex
#define yyout			fm_yyout
#define yyrestart		fm_yyrestart
#define yytext			fm_yytext

/* Symbols that bison defines */

#define yynerrs			fm_yynerrs
#define yyparse 		fm_yyparse
#define yylex			fm_yylex
#define yyerror			fm_yyerror
#define yylval			fm_yylval
#define yychar			fm_yychar
#define yydebug			fm_yydebug

#ifndef BISON

/* Symbols that yacc defines */

#define yyact			fm_yyact
#define yychk			fm_yychk
#define yydef			fm_yydef
#define yyerrflag		fm_yyerrflag
#define yyexca			fm_yyexca
#define yypact			fm_yypact
#define yypgo			fm_yypgo
#define yyr1			fm_yyr1
#define yyr2			fm_yyr2
#define yyv			fm_yyv
#define yyval			fm_yyval

#endif

#ifndef FLEX_SCANNER 

#define yyback			fm_yyback
#define yybgin			fm_yybgin
#define yycrank			fm_yycrank
#define yyestate		fm_yyestate
#define yyextra			fm_yyextra
#define yyfnd			fm_yyfnd
#define yyinput			fm_yyinput
#define yylineno		fm_yylineno
#define yylook			fm_yylook
#define yylsp			fm_yylsp
#define yylstate		fm_yylstate
#define yymatch			fm_yymatch
#define yymorfg			fm_yymorfg
#define yyolsp			fm_yyolsp
#define yyoutput		fm_yyoutput
#define yyprevious		fm_yyprevious
#define yysbuf			fm_yysbuf
#define yysptr			fm_yysptr
#define yysvec			fm_yysvec
#define yytchar			fm_yytchar
#define yytop			fm_yytop
#define yyunput			fm_yyunput
#define yyvstop			fm_yyvstop
#define yywrap			fm_yywrap

#endif
